<?php
include_once("c_personal_person_events.php");
class c_page_cab_personal_person_events_opo extends c_page_cab_personal_person_events
{
  public $h1='Карточка сотрудника - ОПО' ;

 function get_cur_page_meta_tags()
 {
   if ($this->rec_personal['pkey']) $this->h1=$this->rec_personal['obj_name'].' - ОПО' ;
 }

 function block_main()
 { $this->page_title() ;

    include_once(_DIR_EXT_LOCAL.'/events_opo/report_personals_in_event_opo.php') ;
    $report_obj=new report_personals_in_event_opo() ;
    $report_obj->filter['order']='c_data desc';
    $report_obj->event_id=$GLOBALS['LS_esmo_OPO_event'] ;
    $report_obj->personal_id=$this->rec_personal['pkey'] ;
    $report_obj->init();
    $report_obj->no_view_title=1;
    //$report_obj->setting();
    $report_obj->view() ;

    ?><br><br><?

     $pass_id=execSQL_value('select pkey from obj_site_events_pass where event_id='.$GLOBALS['LS_esmo_OPO_event'].' and personal_id='.$this->rec_personal['pkey']) ;

     include_once(_DIR_EXT.'/events/doc_event_personal_history.php') ;
     $report_obj=new doc_event_personal_history() ;
     $report_obj->event_pass_id=$pass_id;
     $report_obj->init();
     //$report_obj->setting();
     $report_obj->view() ;

 }

}



?>
